# Interface MapFloorInfoJson

Contains floor-awareness information for the map. Defines the layers and required fields for each layer that are used for floor filtering. See https://developers.arcgis.com/web-map-specification/objects/mapFloorInfo/.

interface MapFloorInfoJson {
facilityLayer?: FacilityLayerInfoJson;
levelLayer?: LevelLayerInfoJson;
siteLayer?: SiteLayerInfoJson;
}

#####
Index

### Properties

facilityLayer?
levelLayer?
siteLayer?

##
Properties

### `Optional` facilityLayer

facilityLayer?: FacilityLayerInfoJson

Defines the layer and field properties for the Facility layer used for floor filtering.

### `Optional` levelLayer

levelLayer?: LevelLayerInfoJson

Defines the layer and field properties for the Level layer used for floor filtering.

### `Optional` siteLayer

siteLayer?: SiteLayerInfoJson

Defines the layer and field properties for the Site layer used for floor filtering. This property is optional.